Package org.silverpeas.components.community.control

## Class CommunityWebRequestContext

- java.lang.Object
- - org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<CommunityWebController>
  - - org.silverpeas.components.community.control.CommunityWebRequestContext

-     public class CommunityWebRequestContext
      extends org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<CommunityWebController>

  The execution context of an incoming HTTP request in regard to the application. Any specific treatment related to the incoming requests and to the outgoing responses should be performed here. For example, if you wish to perform some actions before the processing of the request by the Web Component Controller CommunityWebController. Usually, either this class is empty or the WebComponentRequestContext is directly used with the Web Component Controller CommunityWebController.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommunityWebRequestContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `adminMustValidateNewMember()` |
    `boolean` | `canValidateNewMember()` |
    `boolean` | `displayCharterOnSpaceHomepage()` |
    `boolean` | `displayNbMembersForNonMembers()` |
    `CommunityOfUsers` | `getCommunity()` |
    `Collection<org.silverpeas.core.admin.user.model.SilverpeasRole>` | `getUserRoles()` |
    `boolean` | `isAdmin()` |
    `boolean` | `isMember()` |
    `boolean` | `isMembershipPending()` |
    `boolean` | `isSpaceHomePage()` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext

      `addRedirectVariable, beforeRequestProcessing, getComponentInstanceId, getComponentInstanceLabel, getComponentName, getComponentUriBase, getHighestUserRole, getHttpMethodClass, getInstanceParameterValue, getMessager, getMultilang, getNavigationContext, getPathVariables, getRequest, getResponse, getSpaceId, getSpaceLabel, getUser, getZoneId, isComingFromRedirect, redirectToHtmlEditor, redirectToHtmlEditor, redirectToHtmlEditor, redirectToHtmlEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunityWebRequestContext

          public CommunityWebRequestContext()

  - ### Method Detail

    - #### getCommunity

          public CommunityOfUsers getCommunity()

    - #### adminMustValidateNewMember

          public boolean adminMustValidateNewMember()

    - #### canValidateNewMember

          public boolean canValidateNewMember()

    - #### isSpaceHomePage

          public boolean isSpaceHomePage()

    - #### isAdmin

          public boolean isAdmin()

    - #### isMember

          public boolean isMember()

    - #### isMembershipPending

          public boolean isMembershipPending()

    - #### getUserRoles

          public Collection<org.silverpeas.core.admin.user.model.SilverpeasRole> getUserRoles()

      Overrides:
        `getUserRoles` in class `org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<CommunityWebController>`

    - #### displayNbMembersForNonMembers

          public boolean displayNbMembersForNonMembers()

    - #### displayCharterOnSpaceHomepage

          public boolean displayCharterOnSpaceHomepage()